Can your ISI5634PCI/4 fax board work with Fedora Core 5 with a kernel of 2.6.*?

The Older ISI5634PCI-4 / ISI5634PCI-8 cards will NOT work in FC 5.

Our newer ISI5634UPCI-4 / ISI5634UPCI-8 cards however will work with FC 5 and Linux kernel 2.6.9 and above.